GET /openapi/memorylake/admin/v1/api-keys/{id}
所需权限:
service_account:read(仅本人的 Key)或 service_account:read(全部 Key)路径参数
string
required
API Key 的标识符
curl -X GET 'https://app.memorylake.cn/openapi/memorylake/admin/v1/api-keys/9d971b8b5813eb1ecceec31354c101b4' \
-H 'Authorization: Bearer sk_xxxxxx'
响应
object
Show API Key 对象
Show API Key 对象
array
允许使用此 Key 的客户端 IP 或 CIDR 范围。空数组表示不限制。
integer
创建时间,Unix 秒级时间戳
string
此 API Key 的稳定标识符
boolean
平台为自身用途创建的 Key 为 true(例如控制台 Playground)
string
Key 主体的前 8 个字符。读取类端点从不返回完整 Key。
string
显示名称
string
Key 的当前状态。可选值:
enabled、disabled、expired。string
备用模型路由分组。省略表示无。
integer
过期时间,Unix 秒级时间戳。Key 永不过期时省略。
string
此 Key 的请求所使用的模型路由分组。省略 = 所有者自己的分组。
string
Key 的后 4 个字符,用于在不返回 Key 的情况下核对某人持有的 Key。未保留明文的 Key 省略此字段。
integer
此 Key 最近一次使用的时间,Unix 秒级时间戳。为近似值——更新有节流,最多可能延迟一小时。从未使用过时省略。
{
"success": true,
"message": "Operation completed successfully",
"data": {
"allowed_ips": [
"example"
],
"created_at": 1760000000,
"id": "40c8c8eba1dca6d1ba4bd63384a16d3c",
"is_system": true,
"key_prefix": "f6e5d4c3",
"name": "Example name",
"status": "enabled",
"backup_group": "example",
"expires_at": 1760000000,
"group": "example",
"key_suffix": "b2a1",
"last_used_at": 1760000000,
"owner": {
"display_name": "Alice",
"member_type": "human",
"principal_id": "61083f9552ae2ae6bd9105e4e2763c7b"
}
}
}